%define _optlevel 3

Name: BillardGL
Version: 1.75
Release: alt3

Summary: 3d billard simulation using OpenGL
Group: Games/Boards
License: GPL
Url: http://www.billardgl.de

Source: BillardGL-%version.tar.bz2
Source3: %name.16.xpm
Source4: %name.32.xpm
Source5: %name.48.xpm

Patch1: BillardGL-1.70-def_lang.patch

# Automatically added by buildreq on Tue Nov 12 2002
BuildRequires: XFree86-devel XFree86-libs gcc2.96-c++ libGLU-devel libglut-devel libstdc++2.96-devel

%description
3d billard simulation using OpenGL

Stefan Disch, Tobias Nopper, Martina Welte

University of Freiburg / Germany
Department of computer-sience

%prep
%setup -q -n %name-%version/src/
%patch1 -p2

#find -type f -exec `which dos2unix` {} \;

%build
%make_build CC=gcc-2.96 CXX=g++-2.96 LINK=g++-2.96 CFLAGS="%optflags" CXXFLAGS="%optflags"

%install
mkdir -p %buildroot/%_datadir/%name/lang
mkdir -p %buildroot/%_gamesbindir

cp %name %buildroot/%_gamesbindir
cp lang/*.lang %buildroot/%_datadir/%name/lang
cp -R Texturen %buildroot/%_datadir/%name

mkdir -p %buildroot/%_menudir
cat <<EOF >%buildroot/%_menudir/%name
?package(%name):command="%name" \
		  icon=%name.xpm \
		  needs="x11" \
		  section="Amusement/Boards" \
		  title="%name" \
		  longtitle="Free OpenGL-billard"
EOF
mkdir -p %buildroot/%_iconsdir %buildroot/%_miconsdir %buildroot/%_liconsdir
install -m 644 %SOURCE3 %buildroot/%_miconsdir/%name.xpm
install -m 644 %SOURCE4 %buildroot/%_iconsdir/%name.xpm
install -m 644 %SOURCE5 %buildroot/%_liconsdir/%name.xpm

%post
%update_menus

%postun
%clean_menus


%files
#%%doc README INSTALL
%doc README
%_gamesbindir/%name
%_datadir/%name
%_menudir/%name
%_iconsdir/%name.xpm
%_liconsdir/%name.xpm
%_miconsdir/%name.xpm

%changelog
* Tue Nov 12 2002 Sergey V Turchin <zerg@altlinux.ru> 1.75-alt3
- rebuild

* Mon May 20 2002 Sergey V Turchin <zerg@altlinux.ru> 1.75-alt2
- fix lang files location

* Sat May 18 2002 Sergey V Turchin <zerg@altlinux.ru> 1.75-alt1
- new version

* Mon Apr 08 2002 Sergey V Turchin <zerg@altlinux.ru> 1.70-alt1
- new version

* Fri Apr 05 2002 Sergey V Turchin <zerg@altlinux.ru> 1.60-alt2
- fix %%Group

* Wed Mar 27 2002 Sergey V Turchin <zerg@altlinux.ru> 1.60-alt1
- build for Sysiphus

* Wed Mar 20 2002 Sergey V Turchin <zerg@altlinux.ru> 1.60-alt0.1
- initial spec

